MsWksGraphInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
MsWksGraphInternal::State Struct Reference

Internal: the state of a MsWksGraph. More...

## Public Member Functions
| State ()
| constructor
bool | getPattern (MWAWGraphicStyle::Pattern &pat, int id, long rsid=-1)
| return the pattern corresponding to an id
float | getPatternPercent (int id, long rsid=-1)
| return the percentage corresponding to a pattern
void | initPattern (int vers)
| init the pattern value

## Public Attributes
int | m_version
| the version
MWAWVec2f | m_leftTopPos
| the page left top position in points
std::vector< std::shared_ptr< Zone > > | m_zonesList
| the list of zone
std::map< int, RBZone > | m_RBsMap
| the RBIL zone id->list id
MWAWFont | m_font
| the actual font
int | m_chartId
| an index used to store chart
int | m_tableId
| an index used to store table
int | m_numPages
| the number of pages
std::map< long, Pattern > | m_rsrcPatternMap
| a map ressource id -> patterns

## Detailed Description

Internal: the state of a MsWksGraph.

## Constructor & Destructor Documentation

## ◆ State()

MsWksGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getPattern()

bool MsWksGraphInternal::State::getPattern | ( | MWAWGraphicStyle::Pattern & | pat,
|  | int | id,
|  | long | rsid = -1 )

return the pattern corresponding to an id

## ◆ getPatternPercent()

float MsWksGraphInternal::State::getPatternPercent | ( | int | id,
|  | long | rsid = -1 )

return the percentage corresponding to a pattern

## ◆ initPattern()

void MsWksGraphInternal::State::initPattern | ( | int | vers | ) |

init the pattern value

Referenced by getPattern(), and getPatternPercent().

## Member Data Documentation

## ◆ m_chartId

int MsWksGraphInternal::State::m_chartId

an index used to store chart

## ◆ m_font

MWAWFont MsWksGraphInternal::State::m_font

the actual font

## ◆ m_leftTopPos

MWAWVec2f MsWksGraphInternal::State::m_leftTopPos

the page left top position in points

## ◆ m_numPages

int MsWksGraphInternal::State::m_numPages

the number of pages

## ◆ m_RBsMap

std::map<int, RBZone> MsWksGraphInternal::State::m_RBsMap

the RBIL zone id->list id

## ◆ m_rsrcPatternMap

std::map<long, Pattern> MsWksGraphInternal::State::m_rsrcPatternMap

a map ressource id -> patterns

Referenced by getPattern(), getPatternPercent(), and initPattern().

## ◆ m_tableId

int MsWksGraphInternal::State::m_tableId

an index used to store table

## ◆ m_version

int MsWksGraphInternal::State::m_version

the version

Referenced by getPattern(), and getPatternPercent().

## ◆ m_zonesList

std::vector<std::shared_ptr<Zone> > MsWksGraphInternal::State::m_zonesList

the list of zone

The documentation for this struct was generated from the following file:

- MsWksGraph.cxx